Update MCP server
curl --request PUT \
--url https://pria.praxislxp.com/api/admin/mcpserver/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"name": "<string>",
"server_url": "<string>",
"server_type": "url",
"institution": "<string>",
"require_approval": {
"enabled": true,
"skip_approval_tools": [
"<string>"
]
},
"authorization_header": "<string>",
"tool_configuration": {
"enabled": true,
"allowed_tools": [
"<string>"
]
},
"description": "<string>",
"status": "active"
}
'import requests
url = "https://pria.praxislxp.com/api/admin/mcpserver/{id}"
payload = {
"name": "<string>",
"server_url": "<string>",
"server_type": "url",
"institution": "<string>",
"require_approval": {
"enabled": True,
"skip_approval_tools": ["<string>"]
},
"authorization_header": "<string>",
"tool_configuration": {
"enabled": True,
"allowed_tools": ["<string>"]
},
"description": "<string>",
"status": "active"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
server_url: '<string>',
server_type: 'url',
institution: '<string>',
require_approval: {enabled: true, skip_approval_tools: ['<string>']},
authorization_header: '<string>',
tool_configuration: {enabled: true, allowed_tools: ['<string>']},
description: '<string>',
status: 'active'
})
};
fetch('https://pria.praxislxp.com/api/admin/mcpserver/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "User institution deleted successfully"
}Admin MCP Servers
Update MCP server
Updates an existing MCP server configuration
PUT
/
api
/
admin
/
mcpserver
/
{id}
Update MCP server
Authorizations
JWT token passed in x-access-token header
Path Parameters
MCP Server ID
Body
application/json
Server name (unique per institution).
MCP server URL endpoint.
Institution ObjectId.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
active, inactive, deleted Was this page helpful?
⌘I